package at.gv.brz.bjujq.erv.samples.anschriftcode;

import at.gv.brz.bjujq.erv.samples.common.MockErvAnschriftcodePortBuilder;
import at.gv.brz.bjujq.erv.samples.common.SchemaUtil;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_0.AnschriftcodeAbfragenRequestKopplung;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_0.AnschriftcodeAbfragenResponseKopplung;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_0.ERVAnschriftcodePortType;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_0.ERVAnschriftcodeServiceException_Exception;

public class AnschriftcodeAbfragenKopplung {

    public static void main(String[] args) throws ERVAnschriftcodeServiceException_Exception {
        ERVAnschriftcodePortType ervAnschriftcodePortType = new MockErvAnschriftcodePortBuilder()
                                        .withAnschriftcodeAbfragenKopplung()
                                        .build();

        AnschriftcodeAbfragenRequestKopplung request = SchemaUtil.OF_AN_SERVICE.createAnschriftcodeAbfragenRequestKopplung();
        request.getAnschriftcode().add("R000001");
        request.getAnschriftcode().add("R000002");
        request.getAnschriftcode().add("R000003");

        AnschriftcodeAbfragenResponseKopplung response = ervAnschriftcodePortType.anschriftcodeAbfragenKopplung(request);

        if (!response.getAnschriftcodedatenKopplung().isEmpty()) {
            // Verarbeite Antwort
        }
    }
}
