
package at.gv.justiz.erv.ervnachrichtextern.v3_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import at.gv.justiz.erv.ervtypenextern.v3_0.AnhangTyp;
import at.gv.justiz.erv.ervwertebereichextern.v3_0.Zustellqualitaet;


/**
 * <p>Java-Klasse für ERVNachrichtTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ERVNachrichtTyp"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="NachrichtId" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}ERVIDToken"/&gt;
 *         &lt;element name="Erstellzeitpunkt" type="{http://www.w3.org/2001/XMLSchema}dateTime"/&gt;
 *         &lt;element name="Empfaenger" type="{http://erv.justiz.gv.at/ERVNachrichtExtern/V3_0}EmpfaengerTyp"/&gt;
 *         &lt;element name="Sender" type="{http://erv.justiz.gv.at/ERVNachrichtExtern/V3_0}SenderTyp"/&gt;
 *         &lt;element name="Zustellqualitaet" type="{http://erv.justiz.gv.at/ERVWertebereichExtern/V3_0}Zustellqualitaet"/&gt;
 *         &lt;choice&gt;
 *           &lt;element name="Nachricht" type="{http://erv.justiz.gv.at/ERVNachrichtExtern/V3_0}NachrichtTyp"/&gt;
 *           &lt;element name="Nachweis" type="{http://erv.justiz.gv.at/ERVNachrichtExtern/V3_0}NachweisTyp"/&gt;
 *         &lt;/choice&gt;
 *         &lt;element name="Anhang" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}AnhangTyp" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ERVNachrichtTyp", propOrder = {
    "nachrichtId",
    "erstellzeitpunkt",
    "empfaenger",
    "sender",
    "zustellqualitaet",
    "nachricht",
    "nachweis",
    "anhang"
})
public class ERVNachrichtTyp {

    @XmlElement(name = "NachrichtId", required = true)
    protected String nachrichtId;
    @XmlElement(name = "Erstellzeitpunkt", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar erstellzeitpunkt;
    @XmlElement(name = "Empfaenger", required = true)
    protected EmpfaengerTyp empfaenger;
    @XmlElement(name = "Sender", required = true)
    protected SenderTyp sender;
    @XmlElement(name = "Zustellqualitaet", required = true)
    @XmlSchemaType(name = "token")
    protected Zustellqualitaet zustellqualitaet;
    @XmlElement(name = "Nachricht")
    protected NachrichtTyp nachricht;
    @XmlElement(name = "Nachweis")
    protected NachweisTyp nachweis;
    @XmlElement(name = "Anhang")
    protected List<AnhangTyp> anhang;

    /**
     * Ruft den Wert der nachrichtId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNachrichtId() {
        return nachrichtId;
    }

    /**
     * Legt den Wert der nachrichtId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNachrichtId(String value) {
        this.nachrichtId = value;
    }

    /**
     * Ruft den Wert der erstellzeitpunkt-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getErstellzeitpunkt() {
        return erstellzeitpunkt;
    }

    /**
     * Legt den Wert der erstellzeitpunkt-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setErstellzeitpunkt(XMLGregorianCalendar value) {
        this.erstellzeitpunkt = value;
    }

    /**
     * Ruft den Wert der empfaenger-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link EmpfaengerTyp }
     *     
     */
    public EmpfaengerTyp getEmpfaenger() {
        return empfaenger;
    }

    /**
     * Legt den Wert der empfaenger-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link EmpfaengerTyp }
     *     
     */
    public void setEmpfaenger(EmpfaengerTyp value) {
        this.empfaenger = value;
    }

    /**
     * Ruft den Wert der sender-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SenderTyp }
     *     
     */
    public SenderTyp getSender() {
        return sender;
    }

    /**
     * Legt den Wert der sender-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SenderTyp }
     *     
     */
    public void setSender(SenderTyp value) {
        this.sender = value;
    }

    /**
     * Ruft den Wert der zustellqualitaet-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Zustellqualitaet }
     *     
     */
    public Zustellqualitaet getZustellqualitaet() {
        return zustellqualitaet;
    }

    /**
     * Legt den Wert der zustellqualitaet-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Zustellqualitaet }
     *     
     */
    public void setZustellqualitaet(Zustellqualitaet value) {
        this.zustellqualitaet = value;
    }

    /**
     * Ruft den Wert der nachricht-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link NachrichtTyp }
     *     
     */
    public NachrichtTyp getNachricht() {
        return nachricht;
    }

    /**
     * Legt den Wert der nachricht-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link NachrichtTyp }
     *     
     */
    public void setNachricht(NachrichtTyp value) {
        this.nachricht = value;
    }

    /**
     * Ruft den Wert der nachweis-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link NachweisTyp }
     *     
     */
    public NachweisTyp getNachweis() {
        return nachweis;
    }

    /**
     * Legt den Wert der nachweis-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link NachweisTyp }
     *     
     */
    public void setNachweis(NachweisTyp value) {
        this.nachweis = value;
    }

    /**
     * Gets the value of the anhang property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the anhang property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAnhang().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AnhangTyp }
     * 
     * 
     */
    public List<AnhangTyp> getAnhang() {
        if (anhang == null) {
            anhang = new ArrayList<AnhangTyp>();
        }
        return this.anhang;
    }

}
