
package at.gv.justiz.erv.ervnachrichtextern.v3_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import at.gv.justiz.erv.ervwertebereichextern.v3_0.NachweisArt;


/**
 * <p>Java-Klasse für NachweisTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="NachweisTyp"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Nachweiszeitpunkt" type="{http://www.w3.org/2001/XMLSchema}dateTime"/&gt;
 *         &lt;element name="Nachweisart" type="{http://erv.justiz.gv.at/ERVWertebereichExtern/V3_0}NachweisArt"/&gt;
 *         &lt;element name="ReferenzNachrichtId" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}ERVIDToken"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NachweisTyp", propOrder = {
    "nachweiszeitpunkt",
    "nachweisart",
    "referenzNachrichtId"
})
public class NachweisTyp {

    @XmlElement(name = "Nachweiszeitpunkt", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar nachweiszeitpunkt;
    @XmlElement(name = "Nachweisart", required = true)
    @XmlSchemaType(name = "token")
    protected NachweisArt nachweisart;
    @XmlElement(name = "ReferenzNachrichtId", required = true)
    protected String referenzNachrichtId;

    /**
     * Ruft den Wert der nachweiszeitpunkt-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getNachweiszeitpunkt() {
        return nachweiszeitpunkt;
    }

    /**
     * Legt den Wert der nachweiszeitpunkt-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setNachweiszeitpunkt(XMLGregorianCalendar value) {
        this.nachweiszeitpunkt = value;
    }

    /**
     * Ruft den Wert der nachweisart-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link NachweisArt }
     *     
     */
    public NachweisArt getNachweisart() {
        return nachweisart;
    }

    /**
     * Legt den Wert der nachweisart-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link NachweisArt }
     *     
     */
    public void setNachweisart(NachweisArt value) {
        this.nachweisart = value;
    }

    /**
     * Ruft den Wert der referenzNachrichtId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReferenzNachrichtId() {
        return referenzNachrichtId;
    }

    /**
     * Legt den Wert der referenzNachrichtId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReferenzNachrichtId(String value) {
        this.referenzNachrichtId = value;
    }

}
