
package at.gv.justiz.erv.ervwertebereichextern.v3_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für BpkBereichskennung.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="BpkBereichskennung"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token"&gt;
 *     &lt;enumeration value="AR"/&gt;
 *     &lt;enumeration value="AS"/&gt;
 *     &lt;enumeration value="BF"/&gt;
 *     &lt;enumeration value="BW"/&gt;
 *     &lt;enumeration value="EA"/&gt;
 *     &lt;enumeration value="EF"/&gt;
 *     &lt;enumeration value="GH"/&gt;
 *     &lt;enumeration value="GS"/&gt;
 *     &lt;enumeration value="GS-RE"/&gt;
 *     &lt;enumeration value="JR"/&gt;
 *     &lt;enumeration value="KL"/&gt;
 *     &lt;enumeration value="KU"/&gt;
 *     &lt;enumeration value="LF"/&gt;
 *     &lt;enumeration value="LV"/&gt;
 *     &lt;enumeration value="RT"/&gt;
 *     &lt;enumeration value="SA"/&gt;
 *     &lt;enumeration value="SF"/&gt;
 *     &lt;enumeration value="SO"/&gt;
 *     &lt;enumeration value="SO-VR"/&gt;
 *     &lt;enumeration value="SR-RG"/&gt;
 *     &lt;enumeration value="UW"/&gt;
 *     &lt;enumeration value="VT"/&gt;
 *     &lt;enumeration value="VV"/&gt;
 *     &lt;enumeration value="WT"/&gt;
 *     &lt;enumeration value="ZP"/&gt;
 *     &lt;enumeration value="BR"/&gt;
 *     &lt;enumeration value="HR"/&gt;
 *     &lt;enumeration value="KI"/&gt;
 *     &lt;enumeration value="OI"/&gt;
 *     &lt;enumeration value="PV"/&gt;
 *     &lt;enumeration value="RD"/&gt;
 *     &lt;enumeration value="VS"/&gt;
 *     &lt;enumeration value="VS-RG"/&gt;
 *     &lt;enumeration value="ZU"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "BpkBereichskennung", namespace = "http://erv.justiz.gv.at/ERVWertebereichExtern/V3_0")
@XmlEnum
public enum BpkBereichskennung {

    AR("AR"),
    AS("AS"),
    BF("BF"),
    BW("BW"),
    EA("EA"),
    EF("EF"),
    GH("GH"),
    GS("GS"),
    @XmlEnumValue("GS-RE")
    GS_RE("GS-RE"),
    JR("JR"),
    KL("KL"),
    KU("KU"),
    LF("LF"),
    LV("LV"),
    RT("RT"),
    SA("SA"),
    SF("SF"),
    SO("SO"),
    @XmlEnumValue("SO-VR")
    SO_VR("SO-VR"),
    @XmlEnumValue("SR-RG")
    SR_RG("SR-RG"),
    UW("UW"),
    VT("VT"),
    VV("VV"),
    WT("WT"),
    ZP("ZP"),
    BR("BR"),
    HR("HR"),
    KI("KI"),
    OI("OI"),
    PV("PV"),
    RD("RD"),
    VS("VS"),
    @XmlEnumValue("VS-RG")
    VS_RG("VS-RG"),
    ZU("ZU");
    private final String value;

    BpkBereichskennung(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static BpkBereichskennung fromValue(String v) {
        for (BpkBereichskennung c: BpkBereichskennung.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
