
package at.gv.justiz.erv.ervnachrichtextern.v3_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import at.gv.justiz.erv.ervtypenextern.v3_0.FehlerTyp;
import at.gv.justiz.erv.ervwertebereichextern.v3_0.NachrichtStatuscode;


/**
 * <p>Java-Klasse für StatusTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="StatusTyp"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Code" type="{http://erv.justiz.gv.at/ERVWertebereichExtern/V3_0}NachrichtStatuscode"/&gt;
 *         &lt;element name="Zeitpunkt" type="{http://www.w3.org/2001/XMLSchema}dateTime"/&gt;
 *         &lt;element name="Fehler" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}FehlerTyp" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StatusTyp", propOrder = {
    "code",
    "zeitpunkt",
    "fehler"
})
public class StatusTyp {

    @XmlElement(name = "Code", required = true)
    @XmlSchemaType(name = "token")
    protected NachrichtStatuscode code;
    @XmlElement(name = "Zeitpunkt", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar zeitpunkt;
    @XmlElement(name = "Fehler")
    protected FehlerTyp fehler;

    /**
     * Ruft den Wert der code-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link NachrichtStatuscode }
     *     
     */
    public NachrichtStatuscode getCode() {
        return code;
    }

    /**
     * Legt den Wert der code-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link NachrichtStatuscode }
     *     
     */
    public void setCode(NachrichtStatuscode value) {
        this.code = value;
    }

    /**
     * Ruft den Wert der zeitpunkt-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getZeitpunkt() {
        return zeitpunkt;
    }

    /**
     * Legt den Wert der zeitpunkt-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setZeitpunkt(XMLGregorianCalendar value) {
        this.zeitpunkt = value;
    }

    /**
     * Ruft den Wert der fehler-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link FehlerTyp }
     *     
     */
    public FehlerTyp getFehler() {
        return fehler;
    }

    /**
     * Legt den Wert der fehler-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link FehlerTyp }
     *     
     */
    public void setFehler(FehlerTyp value) {
        this.fehler = value;
    }

}
